Package org.eclipse.remote.core

# Interface IRemoteConnection.Service.Factory

All Known Implementing Classes:
  `SerialPortConnection.Factory`, `TelnetConnection.Factory`

Enclosing interface:
  IRemoteConnection.Service

public static interface IRemoteConnection.Service.Factory

## Method Summary

Modifier and Type
Method
Description
`<T extends IRemoteConnection.Service>
T`
`getService(IRemoteConnection remoteConnection, Class<T> service)`

## Method Details

### getService

<T extends IRemoteConnection.Service> T getService(IRemoteConnection remoteConnection, Class<T> service)